
//[2012.07.08.일][생성!!!]

//[!]{-------------------------
#include "GUI\GUI_영점조정설정.h"
//}----------------------------

#include "함수묶음.h"

#include "GUI\GUI.h"

#include "일반함수.h"
#include "색상정의.h"
#include "전역정보.h"


void GUI_생성자_영점조정설정(void)
{
  //[2012.07.08.일][생성!!!]

  //[VAR]
  //{
      int   i;

      char  문자열[256];

  //}

  //[GUI/전역변수]{------
  struct 전역정보  *gv;
  struct GUI     *gui;
  전역정보_위치얻기(&gv);
  GUI_위치얻기(&gui);
  //}------------------

  //[제목]
  //{
      _GLabel_생성_(gui->영점조정설정.Lb_제목, gui->기본틀.GVmos, GID_생성(),
                   _GLabel_X_(gui->기본조정설정.Lb_기본판, 0, d_읽기) + _GLabel_폭_(gui->기본조정설정.Lb_기본판, 0, d_읽기) + 4,
                   25,
                   40, 16,
                   true);

      _GLabel_제목_(gui->영점조정설정.Lb_제목, "영점 조정/설정", d_쓰기);
      _GLabel_자동폭_(gui->영점조정설정.Lb_제목, true, d_쓰기);

      _GLabel_배경색_(gui->영점조정설정.Lb_제목, _GColor_밝기_(clGray, 100), d_쓰기);
      _GLabel_문자색_(gui->영점조정설정.Lb_제목, clWhite, d_쓰기);

      _GLabel_테두리_(gui->영점조정설정.Lb_제목, true, d_쓰기);

  //}

  //[기본틀]
  //{
      _GLabel_생성_(gui->영점조정설정.Lb_기본판, gui->기본틀.GVmos, GID_생성(),
                   _GLabel_X_(gui->기본조정설정.Lb_기본판, 0, d_읽기) + _GLabel_폭_(gui->기본조정설정.Lb_기본판, 0, d_읽기) + 4,
                   _GLabel_Y_(gui->영점조정설정.Lb_제목, 0, d_읽기) + _GLabel_높이_(gui->영점조정설정.Lb_제목, 0, d_읽기)/2,
                   230, 87,
                   true);

      _GLabel_제목_(gui->영점조정설정.Lb_기본판, "", d_쓰기);
      _GLabel_테두리_(gui->영점조정설정.Lb_기본판, true, d_쓰기);
      _GLabel_배경색_(gui->영점조정설정.Lb_기본판, _GColor_밝기_(clGray, d_환경_배경밝기), d_쓰기);

  //}

  //[!]{-------------------------------
  //제목줄 앞으로.
  _GX_가장앞으로_(gui->영점조정설정.Lb_제목);
  //}----------------------------------

  //[번호선택]
  //{
      //[Lb_번호]
      //{
          for(i = 7; i >= 0; i--)
          {
            _GLabel_생성_(gui->영점조정설정.Lb_번호[i], gui->영점조정설정.Lb_기본판, GID_생성(),
                         4 + ((7 - i)*(20 + 10)),
                         _GLabel_높이_(gui->영점조정설정.Lb_제목, 0, d_읽기)/2 + 2,
                         14, 16,
                         true);

            //[제목]
            //{
                _Conv_Long값_문자열_(i, 0, false, false, 문자열);
                _GLabel_제목_(gui->영점조정설정.Lb_번호[i], 문자열, d_쓰기);

            //}

            _GLabel_배경색_(gui->영점조정설정.Lb_번호[i], _GColor_밝기_(clGray, d_환경_배경밝기), d_쓰기);

          }

      //}

      //[Rdo_번호]
      //{
          for(i = 7; i >= 0; i--)
          {
            _GRadioButton_생성_(gui->영점조정설정.Rdo_번호[i], gui->영점조정설정.Lb_기본판, GID_생성(),
                               _GLabel_X_(gui->영점조정설정.Lb_번호[i], 0, d_읽기),
                               _GLabel_Y_(gui->영점조정설정.Lb_번호[i], 0, d_읽기) + _GLabel_높이_(gui->영점조정설정.Lb_번호[i], 0, d_읽기) + 2,
                               true);

            _GRadioButton_배경색_(gui->영점조정설정.Rdo_번호[i], _GColor_밝기_(clGray, d_환경_배경밝기), d_쓰기);

            //[이벤트]
            //{
                //배타적 속성으로 반드시 이벤트로 처리해야 한다.
                _GRadioButton_이벤트_MClick_(gui->영점조정설정.Rdo_번호[i], true, d_쓰기);

            //}

          }

          //기본 선택 0번.
          _GRadioButton_확인_(gui->영점조정설정.Rdo_번호[0], true, d_쓰기);

      //}

  //}

  //[줄이동자]
  //{
      //[ScrlH_영점조정]
      //{
          _GScrollH_생성_(gui->영점조정설정.ScrlH_영점조정, gui->영점조정설정.Lb_기본판, GID_생성(),
                         4,
                         _GRadioButton_Y_(gui->영점조정설정.Rdo_번호[7], 0, d_읽기) + 16 + 2,
                         _GLabel_폭_(gui->영점조정설정.Lb_기본판, 0, d_읽기) - 8,
                         17,
                         true);

          _GScrollH_최소위치_(gui->영점조정설정.ScrlH_영점조정, 0, d_쓰기);
          _GScrollH_최대위치_(gui->영점조정설정.ScrlH_영점조정, 750, d_쓰기);
          _GScrollH_위치_(gui->영점조정설정.ScrlH_영점조정, 250, d_쓰기);

          //[이벤트]
          //{
              _GScrollH_이벤트_Scroll_(gui->영점조정설정.ScrlH_영점조정, true, d_쓰기);

          //}

      //}

  //}

  //[영점0도]
  //{
      //[Chk_0도]
      //{
          //[2012.07.27.금][추가!!!]
          _GCheckButton_생성_(gui->영점조정설정.Chk_0도, gui->영점조정설정.Lb_기본판, GID_생성(),
                             _GScrollH_X_(gui->영점조정설정.ScrlH_영점조정, 0, d_읽기),
                             _GScrollH_Y_(gui->영점조정설정.ScrlH_영점조정, 0, d_읽기) + _GScrollH_높이_(gui->영점조정설정.ScrlH_영점조정, 0, d_읽기) + 7,
                             true);

          _GCheckButton_확인_(gui->영점조정설정.Chk_0도, true, d_쓰기);

          //[이벤트]
          //{
              _GCheckButton_이벤트_MClick_(gui->영점조정설정.Chk_0도, true, d_쓰기);

          //}

          //[풍선도움말]
          //{
              _GCheckButton_풍선도움말문자열_
              (gui->영점조정설정.Chk_0도,
               "[영점 0도] 설정부 활성화.",
               d_쓰기);

              _GCheckButton_풍선도움말_(gui->영점조정설정.Chk_0도, false, d_쓰기);

          //}

      //}

      //[Lb_0도]
      //{
          _GLabel_생성_(gui->영점조정설정.Lb_0도, gui->영점조정설정.Lb_기본판, GID_생성(),
                       _GCheckButton_X_(gui->영점조정설정.Chk_0도, 0, d_읽기) + (11) + 1,
                       _GScrollH_Y_(gui->영점조정설정.ScrlH_영점조정, 0, d_읽기) + _GScrollH_높이_(gui->영점조정설정.ScrlH_영점조정, 0, d_읽기) + 5,
                       40, 16,
                       true);

          _GLabel_제목_(gui->영점조정설정.Lb_0도, "0도", d_쓰기);
          _GLabel_자동폭_(gui->영점조정설정.Lb_0도, true, d_쓰기);
          _GLabel_배경색_(gui->영점조정설정.Lb_0도, _GColor_밝기_(clGray, d_환경_배경밝기), d_쓰기);

      //}

      //[Btn_0도]
      //{
          _GButton_생성_(gui->영점조정설정.Btn_0도, gui->영점조정설정.Lb_기본판, GID_생성(),
                        _GLabel_X_(gui->영점조정설정.Lb_0도, 0, d_읽기) + _GLabel_폭_(gui->영점조정설정.Lb_0도, 0, d_읽기) - 1,
                        _GLabel_Y_(gui->영점조정설정.Lb_0도, 0, d_읽기) - 1,
                        28, 16,
                        true);
          _GButton_제목_(gui->영점조정설정.Btn_0도, "250", d_쓰기);

          //[이벤트]
          //{
              _GButton_이벤트_MClick_(gui->영점조정설정.Btn_0도, true, d_쓰기);

          //}

          //[풍선도움말]
          //{
              _GButton_풍선도움말문자열_
              (gui->영점조정설정.Btn_0도,
               "각도 0도의 영점값을 읽기/쓰기 합니다.\r\n"
               "영점을 설정하는 경우는 위의 줄이동자를 움직여 서보를 각도 0도 위치에 이동시킨 후\r\n"
               "표시되는 값을 이곳에 직접 입력하거나 복사하여 붙여넣기 한후 오른쪽의 [쓰] 버튼을\r\n"
               "눌러 설정해 주면 됩니다.",
               d_쓰기);

              _GButton_풍선도움말_(gui->영점조정설정.Btn_0도, false, d_쓰기);

          //}

      //}

      //[Btn_0도_읽기]
      //{
          _GButton_생성_(gui->영점조정설정.Btn_0도_읽기, gui->영점조정설정.Lb_기본판, GID_생성(),
                        _GButton_X_(gui->영점조정설정.Btn_0도, 0, d_읽기) + _GLabel_폭_(gui->영점조정설정.Btn_0도, 0, d_읽기) + 2,
                        _GButton_Y_(gui->영점조정설정.Btn_0도, 0, d_읽기),
                        16, 16,
                        true);
          _GButton_제목_(gui->영점조정설정.Btn_0도_읽기, "읽", d_쓰기);
          _GButton_배경색_(gui->영점조정설정.Btn_0도_읽기, _GColor_밝기_(clBlack2, 125), d_쓰기);
          _GButton_문자색_(gui->영점조정설정.Btn_0도_읽기, clWhite, d_쓰기);
          _GButton_테두리색_(gui->영점조정설정.Btn_0도_읽기, clBlack2, d_쓰기);

          //[이벤트]
          //{
              _GButton_이벤트_MClick_(gui->영점조정설정.Btn_0도_읽기, true, d_쓰기);

          //}

          //[풍선도움말]
          //{
              _GButton_풍선도움말문자열_
              (gui->영점조정설정.Btn_0도_읽기,
               "각도 0도의 영점값을 제어기로부터 읽어서 표시합니다.",
               d_쓰기);

              _GButton_풍선도움말_(gui->영점조정설정.Btn_0도_읽기, false, d_쓰기);

          //}

      //}

      //[Btn_0도_쓰기]
      //{
          _GButton_생성_(gui->영점조정설정.Btn_0도_쓰기, gui->영점조정설정.Lb_기본판, GID_생성(),
                        _GButton_X_(gui->영점조정설정.Btn_0도_읽기, 0, d_읽기) + _GLabel_폭_(gui->영점조정설정.Btn_0도_읽기, 0, d_읽기) + 2,
                        _GButton_Y_(gui->영점조정설정.Btn_0도_읽기, 0, d_읽기),
                        16, 16,
                        true);
          _GButton_제목_(gui->영점조정설정.Btn_0도_쓰기, "쓰", d_쓰기);
          _GButton_배경색_(gui->영점조정설정.Btn_0도_쓰기, _GColor_밝기_(clBlack2, 125), d_쓰기);
          _GButton_문자색_(gui->영점조정설정.Btn_0도_쓰기, clWhite, d_쓰기);
          _GButton_테두리색_(gui->영점조정설정.Btn_0도_쓰기, clBlack2, d_쓰기);

          //[이벤트]
          //{
              _GButton_이벤트_MClick_(gui->영점조정설정.Btn_0도_쓰기, true, d_쓰기);

          //}

          //[풍선도움말]
          //{
              _GButton_풍선도움말문자열_
              (gui->영점조정설정.Btn_0도_쓰기,
               "왼쪽 편집기의 각도 0도의 영점값을 제어기에 전송하여 설정합니다.\r\n"
               "이 설정값은 제어기 내부 EEprom 안에 보존됩니다.",
               d_쓰기);

              _GButton_풍선도움말_(gui->영점조정설정.Btn_0도_쓰기, false, d_쓰기);

          //}

      //}

  //}

  //[영점180도]
  //{
      //[Chk_180도]
      //{
          //[2012.07.27.금][추가!!!]
          _GCheckButton_생성_(gui->영점조정설정.Chk_180도, gui->영점조정설정.Lb_기본판, GID_생성(),
                             _GButton_X_(gui->영점조정설정.Btn_0도_쓰기, NULL, d_읽기) + _GButton_폭_(gui->영점조정설정.Btn_0도_쓰기, NULL, d_읽기) + 8,
                             _GCheckButton_Y_(gui->영점조정설정.Chk_0도, NULL, d_읽기),
                             true);

          _GCheckButton_확인_(gui->영점조정설정.Chk_180도, false, d_쓰기);

          //[이벤트]
          //{
              _GCheckButton_이벤트_MClick_(gui->영점조정설정.Chk_180도, true, d_쓰기);

          //}

          //[풍선도움말]
          //{
              _GCheckButton_풍선도움말문자열_
              (gui->영점조정설정.Chk_180도,
               "[영점 180도] 설정부 활성화.",
               d_쓰기);

              _GCheckButton_풍선도움말_(gui->영점조정설정.Chk_180도, false, d_쓰기);

          //}

      //}

      //[Lb_180도]
      //{
          _GLabel_생성_(gui->영점조정설정.Lb_180도, gui->영점조정설정.Lb_기본판, GID_생성(),
                       _GCheckButton_X_(gui->영점조정설정.Chk_180도, 0, d_읽기) + (11) + 1,
                       _GButton_Y_(gui->영점조정설정.Btn_0도_쓰기, 0, d_읽기) + 1,
                       40, 16,
                       true);

          _GLabel_제목_(gui->영점조정설정.Lb_180도, "180도", d_쓰기);
          _GLabel_자동폭_(gui->영점조정설정.Lb_180도, true, d_쓰기);
          _GLabel_배경색_(gui->영점조정설정.Lb_180도, _GColor_밝기_(clGray, d_환경_배경밝기), d_쓰기);

      //}

      //[Btn_180도]
      //{
          _GButton_생성_(gui->영점조정설정.Btn_180도, gui->영점조정설정.Lb_기본판, GID_생성(),
                        _GLabel_X_(gui->영점조정설정.Lb_180도, 0, d_읽기) + _GLabel_폭_(gui->영점조정설정.Lb_180도, 0, d_읽기) - 1,
                        _GLabel_Y_(gui->영점조정설정.Lb_180도, 0, d_읽기) - 1,
                        28, 16,
                        true);
          _GButton_제목_(gui->영점조정설정.Btn_180도, "250", d_쓰기);

          //[2012.07.27.금][추가!!!]
          //처음에는 [영점180도] 는 무효 상태로 시작.
          _GButton_유효_(gui->영점조정설정.Btn_180도, false, d_쓰기);

          //[이벤트]
          //{
              _GButton_이벤트_MClick_(gui->영점조정설정.Btn_180도, true, d_쓰기);

          //}

          //[풍선도움말]
          //{
              _GButton_풍선도움말문자열_
              (gui->영점조정설정.Btn_180도,
               "각도 180도의 영점값을 읽기/쓰기 합니다.\r\n"
               "영점을 설정하는 경우는 위의 줄이동자를 움직여 서보를 각도 180도 위치에 이동시킨 후\r\n"
               "표시되는 값을 이곳에 직접 입력하거나 복사하여 붙여넣기 한후 오른쪽의 [쓰] 버튼을\r\n"
               "눌러 설정해 주면 됩니다.",
               d_쓰기);

              _GButton_풍선도움말_(gui->영점조정설정.Btn_180도, false, d_쓰기);

          //}

      //}

      //[Btn_180도_읽기]
      //{
          _GButton_생성_(gui->영점조정설정.Btn_180도_읽기, gui->영점조정설정.Lb_기본판, GID_생성(),
                        _GButton_X_(gui->영점조정설정.Btn_180도, 0, d_읽기) + _GLabel_폭_(gui->영점조정설정.Btn_180도, 0, d_읽기) + 2,
                        _GButton_Y_(gui->영점조정설정.Btn_180도, 0, d_읽기),
                        16, 16,
                        true);
          _GButton_제목_(gui->영점조정설정.Btn_180도_읽기, "읽", d_쓰기);
          _GButton_배경색_(gui->영점조정설정.Btn_180도_읽기, _GColor_밝기_(clBlack2, 125), d_쓰기);
          _GButton_문자색_(gui->영점조정설정.Btn_180도_읽기, clWhite, d_쓰기);
          _GButton_테두리색_(gui->영점조정설정.Btn_180도_읽기, clBlack2, d_쓰기);

          //[2012.07.28.토][추가!!!]
          _GButton_유효_(gui->영점조정설정.Btn_180도_읽기, false, d_쓰기);

          //[이벤트]
          //{
              _GButton_이벤트_MClick_(gui->영점조정설정.Btn_180도_읽기, true, d_쓰기);

          //}

          //[풍선도움말]
          //{
              _GButton_풍선도움말문자열_
              (gui->영점조정설정.Btn_180도_읽기,
               "각도 180도의 영점값을 제어기로부터 읽어서 표시합니다.",
               d_쓰기);

              _GButton_풍선도움말_(gui->영점조정설정.Btn_180도_읽기, false, d_쓰기);

          //}

      //}

      //[Btn_180도_쓰기]
      //{
          _GButton_생성_(gui->영점조정설정.Btn_180도_쓰기, gui->영점조정설정.Lb_기본판, GID_생성(),
                        _GButton_X_(gui->영점조정설정.Btn_180도_읽기, 0, d_읽기) + _GLabel_폭_(gui->영점조정설정.Btn_180도_읽기, 0, d_읽기) + 2,
                        _GButton_Y_(gui->영점조정설정.Btn_180도_읽기, 0, d_읽기),
                        16, 16,
                        true);
          _GButton_제목_(gui->영점조정설정.Btn_180도_쓰기, "쓰", d_쓰기);
          _GButton_배경색_(gui->영점조정설정.Btn_180도_쓰기, _GColor_밝기_(clBlack2, 125), d_쓰기);
          _GButton_문자색_(gui->영점조정설정.Btn_180도_쓰기, clWhite, d_쓰기);
          _GButton_테두리색_(gui->영점조정설정.Btn_180도_쓰기, clBlack2, d_쓰기);

          //[2012.07.28.토][추가!!!]
          _GButton_유효_(gui->영점조정설정.Btn_180도_쓰기, false, d_쓰기);

          //[이벤트]
          //{
              _GButton_이벤트_MClick_(gui->영점조정설정.Btn_180도_쓰기, true, d_쓰기);

          //}

          //[풍선도움말]
          //{
              _GButton_풍선도움말문자열_
              (gui->영점조정설정.Btn_180도_쓰기,
               "왼쪽 편집기의 각도 180도의 영점값을 제어기에 전송하여 설정합니다.\r\n"
               "이 설정값은 제어기 내부 EEprom 안에 보존됩니다.",
               d_쓰기);

              _GButton_풍선도움말_(gui->영점조정설정.Btn_180도_쓰기, false, d_쓰기);

          //}

      //}

  //}

}

void GUI_소멸자_영점조정설정(void)
{
  //[2012.07.08.일][생성!!!]

  //[VAR]
  //{
      int  i;

  //}

  //[GUI]{----------
  struct GUI  *gui;
  GUI_위치얻기(&gui);
  //}----------------

  //[영점180도]
  //{
      _GButton_삭제_(gui->영점조정설정.Btn_180도_쓰기);
      _GButton_삭제_(gui->영점조정설정.Btn_180도_읽기);
      _GButton_삭제_(gui->영점조정설정.Btn_180도);
      _GLabel_삭제_(gui->영점조정설정.Lb_180도);

      //[2012.07.27.금][추가!!!]
      _GCheckButton_삭제_(gui->영점조정설정.Chk_180도);

  //}

  //[영점0도]
  //{
      _GButton_삭제_(gui->영점조정설정.Btn_0도_쓰기);
      _GButton_삭제_(gui->영점조정설정.Btn_0도_읽기);
      _GButton_삭제_(gui->영점조정설정.Btn_0도);
      _GLabel_삭제_(gui->영점조정설정.Lb_0도);

      //[2012.07.27.금][추가!!!]
      _GCheckButton_삭제_(gui->영점조정설정.Chk_0도);

  //}

  //[줄이동자]
  //{
      _GScrollH_삭제_(gui->영점조정설정.ScrlH_영점조정);

  //}

  //[선택번호]
  //{
      for(i = 0; i < 8; i++) { _GRadioButton_삭제_(gui->영점조정설정.Rdo_번호[i]); }
      for(i = 0; i < 8; i++) { _GLabel_삭제_(gui->영점조정설정.Lb_번호[i]); }

  //}

  _GLabel_삭제_(gui->영점조정설정.Lb_기본판);
  _GLabel_삭제_(gui->영점조정설정.Lb_제목);

}

bool GUI_동작함수_영점조정설정(struct GUI알림문64  *pGUI알림문64)
{
  //[2012.07.15.일][생성!!!]{---------
  //해당 [알림문] 만 처리.
  //처리한 알림문이 있다면 <true> 를 반환.
  //}--------------------------------

  //[VAR]
  //{
      int  i;

  //}

  //[GUI]{----------
  struct GUI  *gui;
  GUI_위치얻기(&gui);
  //}---------------

  //[번호 선택]
  //{
      for(i = 0; i < 8; i++)
      {
        if(pGUI알림문64->식별자 == GID_읽기(gui->영점조정설정.Rdo_번호[i]))
        {
          if(pGUI알림문64->알림문 == d_GuiMsg_MClick) { 영점조정설정_Rdo_번호_이벤트_MClick(i); return(true); }

        }

      }

  //}

  //[줄이동자]
  //{
      if     (pGUI알림문64->식별자 == GID_읽기(gui->영점조정설정.ScrlH_영점조정))
      {
        if(pGUI알림문64->알림문 == d_GuiMsg_Scroll) { 영점조정설정_ScrlH_영점조정_이벤트_Scroll(pGUI알림문64->정보int); return(true); }

      }

  //}

  //[영점0도]
  //{
      else if(pGUI알림문64->식별자 == GID_읽기(gui->영점조정설정.Chk_0도))
      {
        if(pGUI알림문64->알림문 == d_GuiMsg_MClick) { 영점조정설정_Chk_0도_이벤트_MClick(); return(true); }

      }
      else if(pGUI알림문64->식별자 == GID_읽기(gui->영점조정설정.Btn_0도))
      {
        if(pGUI알림문64->알림문 == d_GuiMsg_MClick) { 영점조정설정_Btn_0도_이벤트_MClick(); return(true); }

      }
      else if(pGUI알림문64->식별자 == GID_읽기(gui->영점조정설정.Btn_0도_읽기))
      {
        if(pGUI알림문64->알림문 == d_GuiMsg_MClick) { 영점조정설정_Btn_0도_읽기_이벤트_MClick(); return(true); }

      }
      else if(pGUI알림문64->식별자 == GID_읽기(gui->영점조정설정.Btn_0도_쓰기))
      {
        if(pGUI알림문64->알림문 == d_GuiMsg_MClick) { 영점조정설정_Btn_0도_쓰기_이벤트_MClick(); return(true); }

      }

  //}

  //[180도]
  //{
      else if(pGUI알림문64->식별자 == GID_읽기(gui->영점조정설정.Chk_180도))
      {
        if(pGUI알림문64->알림문 == d_GuiMsg_MClick) { 영점조정설정_Chk_180도_이벤트_MClick(); return(true); }

      }
      else if(pGUI알림문64->식별자 == GID_읽기(gui->영점조정설정.Btn_180도))
      {
        if(pGUI알림문64->알림문 == d_GuiMsg_MClick) { 영점조정설정_Btn_180도_이벤트_MClick(); return(true); }

      }
      else if(pGUI알림문64->식별자 == GID_읽기(gui->영점조정설정.Btn_180도_읽기))
      {
        if(pGUI알림문64->알림문 == d_GuiMsg_MClick) { 영점조정설정_Btn_180도_읽기_이벤트_MClick(); return(true); }

      }
      else if(pGUI알림문64->식별자 == GID_읽기(gui->영점조정설정.Btn_180도_쓰기))
      {
        if(pGUI알림문64->알림문 == d_GuiMsg_MClick) { 영점조정설정_Btn_180도_쓰기_이벤트_MClick(); return(true); }

      }

  //}

  //여기까지 온것은 처리하지 않은 것으로 보고.
  return(false);

}


void 영점조정설정_Rdo_번호_이벤트_MClick(int  p번호)
{
  //[2012.07.22.일][생성!!!]{---------------------------
  //[서보번호] 는 [배타적속성] 으로 선택된다.
  //
  //1) 8개중 한개는 반드시 선택상태여야 한다.
  //2) 같은 번호가 다시 선택된 경우라도 반드시 선택된 번호로 설정.
  //3) 다른 항목은 모두 [선택:해제] 해 주어야 한다.
  //
  //[방법!!!]------------------------------------------
  //
  //1) [영점0/180도] 모두 읽어들여 일단 버튼에 표시(선택과 무관).
  //
  //2) 선택된 [영점] 쪽으로 서보 기동.
  //}--------------------------------------------------

  //[VAR]
  //{
      int  i;

  //}

  //[GUI]{----------
  struct GUI  *gui;
  GUI_위치얻기(&gui);
  //}---------------

  //[이벤트:무효화]{---------------------------------------------------------
  _GRadioButton_이벤트_MClick_(gui->영점조정설정.Rdo_번호[p번호], false, d_쓰기);
  //}---------------------------------------------------------------------

  //[모두 해제]
  //{
      for(i = 0; i < 8; i++)
      {
        _GRadioButton_확인_(gui->영점조정설정.Rdo_번호[i], false, d_쓰기);

      }

  //}

  //[번호 선택]
  //{
      _GRadioButton_확인_(gui->영점조정설정.Rdo_번호[p번호], true, d_쓰기);

  //}

  //[영점 읽기]
  //{
      //[2012.07.28.토][추가!!!]{------------
      //선택된 서보의 [영점] 을 읽어들여 관련 처리.
      //}-----------------------------------

      if(_GCheckButton_확인_(gui->영점조정설정.Chk_0도, NULL, d_읽기) == true)
      {
        영점조정설정_Chk_0도_이벤트_MClick();

      }
      else
      {
        영점조정설정_Chk_180도_이벤트_MClick();

      }

  //}

  lb끝:

  //[이벤트:유효화]{---------------------------------------------------------
  _GRadioButton_이벤트_MClick_(gui->영점조정설정.Rdo_번호[p번호], true, d_쓰기);
  //}---------------------------------------------------------------------

}

void 영점조정설정_Btn_0도_이벤트_MClick(void)
{
  //[2012.07.23.월][생성!!!]

  //[VAR]
  //{
      char  문자열[16];

      bool  확인취소;

      int   영점;

  //}

  //[GUI]{----------
  struct GUI  *gui;
  GUI_위치얻기(&gui);
  //}---------------

  //[이벤트:무효화]{----------------------------------------------
  _GButton_이벤트_MClick_(gui->영점조정설정.Btn_0도, false, d_쓰기);
  //}----------------------------------------------------------

  //[알림창:한줄편집기]
  //{
      Ide_활성(false);
      //{
          //[현재 설정값 출력]
          //{
              //버튼 제목이 현재 설정된 제어기 번호.
              _GButton_제목_(gui->영점조정설정.Btn_0도, 문자열, d_읽기);

              //[알림창:한줄 편집기] 에 출력.
              _GMsgBox_한줄편집기문자열_(gui->공용알림창, 문자열, d_쓰기);

          //}

          확인취소 = _GMsgBox_한줄편집기_
                   (gui->공용알림창, d_기계닉스,
                    "[영점] 은 0 - 750 까지 사용가능합니다.\r\n"
                    "10진수로 입력."
                   );

      //}
      Ide_활성(true);

      //[확인/취소]
      //{
          //[취소] 인 경우는 처리하지 않고 바로 종료.
          if(확인취소 == false) goto lb끝;

      //}

  //}

  //[형식 검사]
  //{
      _GMsgBox_한줄편집기문자열_(gui->공용알림창, 문자열, d_읽기);

      if(_Check_10진수규칙_(문자열) != true)
      {
        Ide_알림(d_오류,
                "10진수 문자열이 아닙니다.\r\n"
                "0 - 9 의 숫자로 이루어진 10진수 문자열만 사용가능하며\r\n"
                "앞뒤에 공백이 없어야 합니다."
               );

        //더이상 처리하지 않고 종료.
        goto lb끝;

      }

  //}

  //[범위 검사]
  //{
      //[문자열 => 값]
      //{
          //범위 검사를 위하여 값으로 변환.
          영점 = _Conv_10진수표기_Int값_(문자열);

      //}

      //[영점] 은 0 - 750 까지만 사용 가능.
      if(!((0 <= 영점) && (영점 <= 750)))
      {
        Ide_알림(d_오류,
                "[영점] 은 0 - 750 까지만 사용가능합니다."
               );

        //더이상 처리하지 않고 종료.
        goto lb끝;

      }

  //}

  //[표시/명령 처리]
  //{
      _GScrollH_위치_(gui->영점조정설정.ScrlH_영점조정, 영점, d_쓰기);

  //}

  lb끝:

  //[이벤트:유효화]{---------------------------------------------
  _GButton_이벤트_MClick_(gui->영점조정설정.Btn_0도, true, d_쓰기);
  //}---------------------------------------------------------

}

void 영점조정설정_Btn_0도_읽기_이벤트_MClick(void)
{
  //[2012.07.23.월][생성!!!]

  //[GUI]{----------
  struct GUI  *gui;
  GUI_위치얻기(&gui);
  //}---------------

  //[이벤트:무효화]{--------------------------------------------------
  _GButton_이벤트_MClick_(gui->영점조정설정.Btn_0도_읽기, false, d_쓰기);
  //}--------------------------------------------------------------

  영점조정설정_Chk_0도_이벤트_MClick();

  lb끝:

  //[이벤트:유효화]{-------------------------------------------------
  _GButton_이벤트_MClick_(gui->영점조정설정.Btn_0도_읽기, true, d_쓰기);
  //}-------------------------------------------------------------

}

void 영점조정설정_Btn_0도_쓰기_이벤트_MClick(void)
{
  //[2012.07.23.월][생성!!!]

  //[VAR]
  //{
      char  문자열[16];

      int   영점;

  //}

  //[GUI]{----------
  struct GUI  *gui;
  GUI_위치얻기(&gui);
  //}---------------

  //[이벤트:무효화]{--------------------------------------------------
  _GButton_이벤트_MClick_(gui->영점조정설정.Btn_0도_쓰기, false, d_쓰기);
  //}--------------------------------------------------------------

  //[문자열 => 값]
  //{
      _GButton_제목_(gui->영점조정설정.Btn_0도, 문자열, d_읽기);

      영점 = _Conv_10진수표기_Int값_(문자열);

   //}

   //[명령 처리]
   //{
       //[통신포트] 가 열려있는 경우만 처리.
       if(항목줄_통신포트열림확인() == true)
       {
         //[제어기] 에 설정.
         if(_GMRCBASIC_Pos0TickSet(기본조정설정_제어기번호(), 영점조정설정_서보번호(), 영점) != true) { Ide_통신오류알림(); goto lb끝; }

       }

   //}

  lb끝:

  //[이벤트:유효화]{-------------------------------------------------
  _GButton_이벤트_MClick_(gui->영점조정설정.Btn_0도_쓰기, true, d_쓰기);
  //}-------------------------------------------------------------

}

void 영점조정설정_Btn_180도_이벤트_MClick(void)
{
  //[2012.07.23.월][생성!!!]

  //[VAR]
  //{
      char  문자열[16];

      bool  확인취소;

      int   영점;

  //}

  //[GUI]{----------
  struct GUI  *gui;
  GUI_위치얻기(&gui);
  //}---------------

  //[이벤트:무효화]{------------------------------------------------
  _GButton_이벤트_MClick_(gui->영점조정설정.Btn_180도, false, d_쓰기);
  //}------------------------------------------------------------

  //[알림창:한줄편집기]
  //{
      Ide_활성(false);
      //{
          //[현재 설정값 출력]
          //{
              //버튼 제목이 현재 설정된 제어기 번호.
              _GButton_제목_(gui->영점조정설정.Btn_180도, 문자열, d_읽기);

              //[알림창:한줄 편집기] 에 출력.
              _GMsgBox_한줄편집기문자열_(gui->공용알림창, 문자열, d_쓰기);

          //}

          확인취소 = _GMsgBox_한줄편집기_
                   (gui->공용알림창, d_기계닉스,
                    "[영점] 은 0 - 750 까지 사용가능합니다.\r\n"
                    "10진수로 입력."
                   );

      //}
      Ide_활성(true);

      //[확인/취소]
      //{
          //[취소] 인 경우는 처리하지 않고 바로 종료.
          if(확인취소 == false) goto lb끝;

      //}

  //}

  //[형식 검사]
  //{
      _GMsgBox_한줄편집기문자열_(gui->공용알림창, 문자열, d_읽기);

      if(_Check_10진수규칙_(문자열) != true)
      {
        Ide_알림(d_오류,
                "10진수 문자열이 아닙니다.\r\n"
                "0 - 9 의 숫자로 이루어진 10진수 문자열만 사용가능하며\r\n"
                "앞뒤에 공백이 없어야 합니다."
               );

        //더이상 처리하지 않고 종료.
        goto lb끝;

      }

  //}

  //[범위 검사]
  //{
      //[문자열 => 값]
      //{
          //범위 검사를 위하여 값으로 변환.
          영점 = _Conv_10진수표기_Int값_(문자열);

      //}

      //[영점] 은 0 - 750 까지만 사용 가능.
      if(!((0 <= 영점) && (영점 <= 750)))
      {
        Ide_알림(d_오류,
                "[영점] 은 0 - 750 까지만 사용가능합니다."
               );

        //더이상 처리하지 않고 종료.
        goto lb끝;

      }

  //}

  //[표시/명령 처리]
  //{
      _GScrollH_위치_(gui->영점조정설정.ScrlH_영점조정, 영점, d_쓰기);

  //}

  lb끝:

  //[이벤트:유효화]{-----------------------------------------------
  _GButton_이벤트_MClick_(gui->영점조정설정.Btn_180도, true, d_쓰기);
  //}-----------------------------------------------------------

}

void 영점조정설정_Btn_180도_읽기_이벤트_MClick(void)
{
  //[2012.07.23.월][생성!!!]

  //[GUI]{----------
  struct GUI  *gui;
  GUI_위치얻기(&gui);
  //}---------------

  //[이벤트:무효화]{----------------------------------------------------
  _GButton_이벤트_MClick_(gui->영점조정설정.Btn_180도_읽기, false, d_쓰기);
  //}----------------------------------------------------------------

  영점조정설정_Chk_180도_이벤트_MClick();

  lb끝:

  //[이벤트:유효화]{---------------------------------------------------
  _GButton_이벤트_MClick_(gui->영점조정설정.Btn_180도_읽기, true, d_쓰기);
  //}---------------------------------------------------------------

}

void 영점조정설정_Btn_180도_쓰기_이벤트_MClick(void)
{
  //[2012.07.23.월][생성!!!]

  //[VAR]
  //{
      char  문자열[16];

      int   영점;

  //}

  //[GUI]{----------
  struct GUI  *gui;
  GUI_위치얻기(&gui);
  //}---------------

  //[이벤트:무효화]{----------------------------------------------------
  _GButton_이벤트_MClick_(gui->영점조정설정.Btn_180도_쓰기, false, d_쓰기);
  //}----------------------------------------------------------------

  //[문자열 => 값]
  //{
      _GButton_제목_(gui->영점조정설정.Btn_180도, 문자열, d_읽기);

      영점 = _Conv_10진수표기_Int값_(문자열);

   //}

   //[명령 처리]
   //{
       //[통신포트] 가 열려있는 경우만 처리.
       if(항목줄_통신포트열림확인() == true)
       {
         //[제어기] 에 설정.
         if(_GMRCBASIC_Pos180TickSet(기본조정설정_제어기번호(), 영점조정설정_서보번호(), 영점) != true) { Ide_통신오류알림(); goto lb끝; }

       }

   //}

  lb끝:

  //[이벤트:유효화]{---------------------------------------------------
  _GButton_이벤트_MClick_(gui->영점조정설정.Btn_180도_쓰기, true, d_쓰기);
  //}---------------------------------------------------------------

}

void 영점조정설정_ScrlH_영점조정_이벤트_Scroll(int  p위치)
{
  //[2012.07.23.월][생성!!!]

  //[VAR]
  //{
      char  문자열[16];

  //}

  //[GUI]{----------
  struct GUI  *gui;
  GUI_위치얻기(&gui);
  //}---------------

  //[이벤트:무효화]{----------------------------------------------------
  _GScrollH_이벤트_Scroll_(gui->영점조정설정.ScrlH_영점조정, false, d_쓰기);
  //}----------------------------------------------------------------

  //[버튼 제목 설정]
  //{
      //[2012.07.27.금][수정!!!]{------
      //0/180도 선택 여부에 따라 구분 처리.
      //}-----------------------------

      if(_GCheckButton_확인_(gui->영점조정설정.Chk_0도, NULL, d_읽기) == true)
      {
        _Conv_Long값_문자열_(p위치, 0, false, false, 문자열);
        _GButton_제목_(gui->영점조정설정.Btn_0도, 문자열, d_쓰기);

        //[명령 처리]
        //{
            //[통신포트] 가 열려있는 경우만 처리.
            if(항목줄_통신포트열림확인() == true)
            {
              //[제어기] 에 설정.
              if(_GMRCBASIC_Pulse(기본조정설정_제어기번호(), 영점조정설정_서보번호(), d_AccelNo, p위치) != true) { Ide_통신오류알림(); goto lb끝; }

            }

        //}

      }
      else
      {
        _Conv_Long값_문자열_(p위치, 0, false, false, 문자열);
        _GButton_제목_(gui->영점조정설정.Btn_180도, 문자열, d_쓰기);

        //[명령 처리]
        //{
            //[통신포트] 가 열려있는 경우만 처리.
            if(항목줄_통신포트열림확인() == true)
            {
              //[제어기] 에 설정.
              if(_GMRCBASIC_Pulse(기본조정설정_제어기번호(), 영점조정설정_서보번호(), d_AccelNo, p위치) != true) { Ide_통신오류알림(); goto lb끝; }

            }

        //}

      }

  //}

  lb끝:

  //[이벤트:유효화]{---------------------------------------------------
  _GScrollH_이벤트_Scroll_(gui->영점조정설정.ScrlH_영점조정, true, d_쓰기);
  //}---------------------------------------------------------------

}

void 영점조정설정_Chk_0도_이벤트_MClick(void)
{
  //[2012.07.27.금][생성!!!]{----------------------------------------
  //[영점180도] 와 배타적 속성으로 설정.
  //
  //[2012.07.30.월][수정!!!]-----------------------------------------
  //[선택] 되지 않은 쪽도 [영점] 을 읽어서 [표시] 는 한다.
  //이는 <영점조정설정_Rdo_번호_이벤트_MClick()> 에서 [번호] 에 해당하는 서보의
  //영점 [0/180도] 를 모두 보여주는 것을 지원하기 위한것.
  //}---------------------------------------------------------------

  //[VAR]
  //{
      unsigned short  영점;

      char            문자열[16];

  //}

  //[GUI]{----------
  struct GUI  *gui;
  GUI_위치얻기(&gui);
  //}---------------

  //[이벤트:무효화]{---------------------------------------------------
  _GCheckButton_이벤트_MClick_(gui->영점조정설정.Chk_0도, false, d_쓰기);
  //}---------------------------------------------------------------

  lb시작:

  if(_GCheckButton_확인_(gui->영점조정설정.Chk_0도, NULL, d_읽기) == true)
  {
    //[반대쪽 해제]
    //{
        _GCheckButton_확인_(gui->영점조정설정.Chk_180도, false, d_쓰기);

        _GButton_유효_(gui->영점조정설정.Btn_180도, false, d_쓰기);
        _GButton_유효_(gui->영점조정설정.Btn_180도_읽기, false, d_쓰기);
        _GButton_유효_(gui->영점조정설정.Btn_180도_쓰기, false, d_쓰기);

        _GButton_유효_(gui->영점조정설정.Btn_0도, true, d_쓰기);
        _GButton_유효_(gui->영점조정설정.Btn_0도_읽기, true, d_쓰기);
        _GButton_유효_(gui->영점조정설정.Btn_0도_쓰기, true, d_쓰기);

    //}

    //[통신포트 열림 확인]
    //{
        //[2012.07.29.일][추가!!!]{-----------------------------------
        //읽기의 경우 [통신포트:열림] 상태에서만 처리 가능하므로 여기서 일괄 검사후
        //[닫혀] 있다면 아무것도 처리하지 않는다.
        //}----------------------------------------------------------

        if(항목줄_통신포트열림확인() != true) goto lb끝;

    //}

    //[현재 영점 읽기/표시]
    //{
        //[2012.07.30.월][수정!!!]{-----------------------------
        //[영점] 은 일단 둘다 모두 읽어서 [표시] 는 해준다.
        //
        //[영점] 값을 [줄이동] 자에 반영하므로 [선택] 된 것을 나중에 처리.
        //}----------------------------------------------------

        //[영점180도]
        //{
            //[명령 처리]
            //{
                //[제어기] 에 설정.
                if(_GMRCBASIC_Pos180TickRead(기본조정설정_제어기번호(), 영점조정설정_서보번호(), &영점) != true) { Ide_통신오류알림(); goto lb끝; }

            //}

            //[표시]
            //{
                _Conv_Long값_문자열_(영점, 0, false, false, 문자열);

                _GButton_제목_(gui->영점조정설정.Btn_180도, 문자열, d_쓰기);

            //}

        //}

        //[영점0도]
        //{
            //[명령 처리]
            //{
                //[제어기] 에 설정.
                if(_GMRCBASIC_Pos0TickRead(기본조정설정_제어기번호(), 영점조정설정_서보번호(), &영점) != true) { Ide_통신오류알림(); goto lb끝; }

            //}

            //[표시]
            //{
                _Conv_Long값_문자열_(영점, 0, false, false, 문자열);

                _GButton_제목_(gui->영점조정설정.Btn_0도, 문자열, d_쓰기);

            //}

        //}

    //}

    //[줄이동자에 반영]
    //{
        //[!]{------------------------
        //현재 설정값을 줄이동자에 반영.
        //단, 이벤트가 발생하지 않도록 처리.
        //}---------------------------

        //[이벤트:무효화]{----------------------------------------------------
        _GScrollH_이벤트_Scroll_(gui->영점조정설정.ScrlH_영점조정, false, d_쓰기);
        //}----------------------------------------------------------------

        _GButton_제목_(gui->영점조정설정.Btn_0도, 문자열, d_읽기);

        _GScrollH_위치_(gui->영점조정설정.ScrlH_영점조정, _Conv_10진수표기_Int값_(문자열), d_쓰기);

        //[이벤트:유효화]{---------------------------------------------------
        _GScrollH_이벤트_Scroll_(gui->영점조정설정.ScrlH_영점조정, true, d_쓰기);
        //}---------------------------------------------------------------

    //}

    //[영점 위치로 서보 이동]
    //{
        //[명령 처리]
        //{
            //[제어기] 에 설정.
            if(_GMRCBASIC_Pulse(기본조정설정_제어기번호(), 영점조정설정_서보번호(), d_AccelNo, 영점) != true) { Ide_통신오류알림(); goto lb끝; }

        //}

    //}

  }
  else
  {
    //배타적 속성으로 설정만 할수 있도록 하고 해제된 상태라면 설정시키고 다시 [설정] 상태를 처리.
    _GCheckButton_확인_(gui->영점조정설정.Chk_0도, true, d_쓰기);

    goto lb시작;

  }

  lb끝:

  //[이벤트:유효화]{--------------------------------------------------
  _GCheckButton_이벤트_MClick_(gui->영점조정설정.Chk_0도, true, d_쓰기);
  //}--------------------------------------------------------------

}

void 영점조정설정_Chk_180도_이벤트_MClick(void)
{
  //[2012.07.27.금][생성!!!]{-----
  //[영점0도] 와 배타적 속성으로 설정.
  //}----------------------------

  //[VAR]
  //{
      unsigned short  영점;

      char            문자열[16];

  //}

  //[GUI]{----------
  struct GUI  *gui;
  GUI_위치얻기(&gui);
  //}---------------

  //[이벤트:무효화]{-----------------------------------------------------
  _GCheckButton_이벤트_MClick_(gui->영점조정설정.Chk_180도, false, d_쓰기);
  //}-----------------------------------------------------------------

  lb시작:

  if(_GCheckButton_확인_(gui->영점조정설정.Chk_180도, NULL, d_읽기) == true)
  {
    //[반대쪽 해제]
    //{
        _GCheckButton_확인_(gui->영점조정설정.Chk_0도, false, d_쓰기);

        _GButton_유효_(gui->영점조정설정.Btn_0도, false, d_쓰기);
        _GButton_유효_(gui->영점조정설정.Btn_0도_읽기, false, d_쓰기);
        _GButton_유효_(gui->영점조정설정.Btn_0도_쓰기, false, d_쓰기);

        _GButton_유효_(gui->영점조정설정.Btn_180도, true, d_쓰기);
        _GButton_유효_(gui->영점조정설정.Btn_180도_읽기, true, d_쓰기);
        _GButton_유효_(gui->영점조정설정.Btn_180도_쓰기, true, d_쓰기);

    //}

    //[통신포트 열림 확인]
    //{
        //[2012.07.29.일][추가!!!]{-----------------------------------
        //읽기의 경우 [통신포트:열림] 상태에서만 처리 가능하므로 여기서 일괄 검사후
        //[닫혀] 있다면 아무것도 처리하지 않는다.
        //}----------------------------------------------------------

        if(항목줄_통신포트열림확인() != true) goto lb끝;

    //}

    //[현재 영점 읽기/표시]
    //{
        //[2012.07.30.월][수정!!!]{-----------------------------
        //[영점] 은 일단 둘다 모두 읽어서 [표시] 는 해준다.
        //
        //[영점] 값을 [줄이동] 자에 반영하므로 [선택] 된 것을 나중에 처리.
        //}----------------------------------------------------

        //[영점0도]
        //{
            //[명령 처리]
            //{
                //[제어기] 에 설정.
                if(_GMRCBASIC_Pos0TickRead(기본조정설정_제어기번호(), 영점조정설정_서보번호(), &영점) != true) { Ide_통신오류알림(); goto lb끝; }

            //}

            //[표시]
            //{
                _Conv_Long값_문자열_(영점, 0, false, false, 문자열);

                _GButton_제목_(gui->영점조정설정.Btn_0도, 문자열, d_쓰기);

            //}

        //}

        //[영점180도]
        //{
            //[명령 처리]
            //{
                //[제어기] 에 설정.
                if(_GMRCBASIC_Pos180TickRead(기본조정설정_제어기번호(), 영점조정설정_서보번호(), &영점) != true) { Ide_통신오류알림(); goto lb끝; }

            //}

            //[표시]
            //{
                _Conv_Long값_문자열_(영점, 0, false, false, 문자열);

                _GButton_제목_(gui->영점조정설정.Btn_180도, 문자열, d_쓰기);

            //}

        //}

    //}

    //[줄이동자에 반영]
    //{
        //[!]{------------------------
        //현재 설정값을 줄이동자에 반영.
        //단, 이벤트가 발생하지 않도록 처리.
        //}---------------------------

        //[이벤트:무효화]{----------------------------------------------------
        _GScrollH_이벤트_Scroll_(gui->영점조정설정.ScrlH_영점조정, false, d_쓰기);
        //}----------------------------------------------------------------

        _GButton_제목_(gui->영점조정설정.Btn_180도, 문자열, d_읽기);
        _GScrollH_위치_(gui->영점조정설정.ScrlH_영점조정, _Conv_10진수표기_Int값_(문자열), d_쓰기);

        //[이벤트:유효화]{---------------------------------------------------
        _GScrollH_이벤트_Scroll_(gui->영점조정설정.ScrlH_영점조정, true, d_쓰기);
        //}---------------------------------------------------------------

    //}

    //[영점 위치로 서보 이동]
    //{
        //[명령 처리]
        //{
            //[제어기] 에 설정.
            if(_GMRCBASIC_Pulse(기본조정설정_제어기번호(), 영점조정설정_서보번호(), d_AccelNo, 영점) != true) { Ide_통신오류알림(); goto lb끝; }

        //}

    //}

  }
  else
  {
    //배타적 속성으로 설정만 할수 있도록 하고 해제된 상태라면 설정시키고 다시 [설정] 상태를 처리.
    _GCheckButton_확인_(gui->영점조정설정.Chk_180도, true, d_쓰기);

    goto lb시작;

  }

  lb끝:

  //[이벤트:유효화]{----------------------------------------------------
  _GCheckButton_이벤트_MClick_(gui->영점조정설정.Chk_180도, true, d_쓰기);
  //}----------------------------------------------------------------

}

//----------------------------------------------------------------------------
//[함수]-----------------------------------------------------------------------
//----------------------------------------------------------------------------

void 영점조정설정_풍선도움말_사용유무(bool  p사용유무)
{
  //[2012.07.31.화][생성!!!]

  //[GUI]{----------
  struct GUI  *gui;
  GUI_위치얻기(&gui);
  //}---------------

  _GCheckButton_풍선도움말_(gui->영점조정설정.Chk_0도, p사용유무, d_쓰기);

  _GButton_풍선도움말_(gui->영점조정설정.Btn_0도, p사용유무, d_쓰기);

  _GButton_풍선도움말_(gui->영점조정설정.Btn_0도_읽기, p사용유무, d_쓰기);

  _GButton_풍선도움말_(gui->영점조정설정.Btn_0도_쓰기, p사용유무, d_쓰기);


  _GCheckButton_풍선도움말_(gui->영점조정설정.Chk_180도, p사용유무, d_쓰기);

  _GButton_풍선도움말_(gui->영점조정설정.Btn_180도, p사용유무, d_쓰기);

  _GButton_풍선도움말_(gui->영점조정설정.Btn_180도_읽기, p사용유무, d_쓰기);

  _GButton_풍선도움말_(gui->영점조정설정.Btn_180도_쓰기, p사용유무, d_쓰기);

}

unsigned char 영점조정설정_서보번호(void)
{
  //[2012.07.27.금][생성!!!]{--
  //현재 선택된 [서보번호] 반환.
  //}-------------------------

  //[VAR]
  //{
      int  i;

  //}

  //[GUI]{----------
  struct GUI  *gui;
  GUI_위치얻기(&gui);
  //}---------------

  for(i = 0; i < 8; i++)
  {
    if(_GRadioButton_확인_(gui->영점조정설정.Rdo_번호[i], NULL, d_읽기) == true) return(i);

  }

}




